## net.nymtech.nymvpn_21000_src.tar.gz

=== nym-vpn-core/Makefile ===
# Detect the OS and architecture
include platform.mk

# Linker/compiler flags for producing reproducible output
include reproducible_builds.mk

# Minimum deployment targets for macOS and iOS
# These environment variables are used by clang
export MACOSX_DEPLOYMENT_TARGET = 10.13
export IPHONEOS_DEPLOYMENT_TARGET = 16.0

.PHONY: all deb fmt help

# Main targets
all: help

# -----------------------------------------------------------------------------
#  Build targets
# -----------------------------------------------------------------------------

build: ## Build the default crates in the Rust workspace
	cargo build

build-all: ## Build all crates in the Rust workspace
	cargo build --workspace

build-release: ## Build the default crates in the Rust workspace in release mode
	$(ALL_IDEMPOTENT_FLAGS) cargo build --release

build-release-all: ## Build all the crates in the Rust workspace in release mode
	$(ALL_IDEMPOTENT_FLAGS) cargo build --release --workspace

build-mac: ## Build the Rust workspace suitable for running the daemon
	RUSTFLAGS="$(IDEMPOTENT_RUSTFLAGS) -C link-arg=-all_load -C link-arg=-ObjC -C link-arg=-sectcreate -C link-arg=__TEXT -C link-arg=__info_plist -C link-arg=$(CURDIR)/../nym-vpn-apple/Daemon/Info.plist" $(OTHER_IDEMPOTENT_FLAGS) cargo build --release

build-win-cross:
	$(ALL_IDEMPOTENT_FLAGS) cargo build --target x86_64-pc-windows-gnu --release

# -----------------------------------------------------------------------------
#  Linting targets
# -----------------------------------------------------------------------------

clippy: ## Run clippy
	cargo clippy --workspace -- -Dwarnings

fmt: ## Run rustfmt
	cargo fmt --all

fmt-check: ## Check rustfmt
	cargo fmt --all --check

# -----------------------------------------------------------------------------
#  Debian package builds
# -----------------------------------------------------------------------------

deb: build-deb-vpnd build-deb-vpnc  ## Build debian packages

build-deb-vpnd:
	cargo deb -p nym-vpnd

build-deb-vpnc:
	cargo deb -p nym-vpnc

# -----------------------------------------------------------------------------
#  Misc
# -----------------------------------------------------------------------------

print-info: ## Print detected architecture

help:  ## Show this help.
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z_-]+:.*?##/ { printf "  \033[36m%-22s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

=== nym-vpn-core/crates/nym-vpnd/.pkg/aur/PKGBUILD ===
# Maintainer: Nym <ops@nymte.ch>
# Maintainer: Pierre Dommerc <pierre@nymtech.net>
# Maintainer: Lawrence Stalder <lawrence.stalder@pm.me>

pkgname=nym-vpnd
pkgver=0.1.0
# upstream version
_pkgver=
_release_tag=
pkgrel=1
pkgdesc='NymVPN daemon as a systemd service'
arch=('x86_64')
url='https://github.com/nymtech/nym-vpn-client'
license=('GPL-3.0-only')
depends=('glibc' 'gcc-libs' 'dbus')
makedepends=('rust' 'cargo' 'go' 'protobuf')
provides=('nym-vpnd')
conflicts=('nym-vpnd')
options=(!debug)
source=("$pkgname-$pkgver.tar.gz::$url/archive/refs/tags/$_release_tag.tar.gz"
    'nym-vpnd.service')
sha256sums=()
_srcdir="nym-vpn-client-$_release_tag"

prepare() {
  pushd "$_srcdir"

  # rip off all useless sources
  rm -rf nym-vpn-android
  rm -rf nym-vpn-apple
  rm -rf nym-vpn-app
  popd
}

build() {
  pushd "$_srcdir"

  # build wireguard-go
  pushd wireguard
  ./build-wireguard-go.sh
  popd

  # build nym-vpnd
  pushd nym-vpn-core/crates/nym-vpnd/

  # sqlx does not support LTO build flag, which is enabled by default in Arch
  # set the C flag -ffat-lto-objects to solve the issue
  # see https://github.com/launchbadge/sqlx/issues/3149
  CFLAGS+=" -ffat-lto-objects" cargo build --release --locked
}

package() {
  pushd "$_srcdir/nym-vpn-core"
  install -Dm755 "target/release/nym-vpnd" "$pkgdir/usr/bin/nym-vpnd"
  popd

  install -Dm644 nym-vpnd.service "$pkgdir/usr/lib/systemd/system/nym-vpnd.service"
}
